On this page

Catalogue

Beta

2 endpoints, each naming the scope its key must carry.

https://api.ghostsms.iov1openapi.json

GET /v1/services

scopeservices:read

List services

Returns

objectstring
dataarray of service
objectstring
idstring
namestring
categorystring
has_moreboolean
next_cursorstring
curl https://api.ghostsms.io/v1/services \
  -H "Authorization: Bearer $GHOSTSMS_KEY"
200
{
  "object": "activation",
  "data": [
    {
      "object": "activation",
      "id": "…",
      "name": "…",
      "category": "…"
    }
  ],
  "has_more": false,
  "next_cursor": "…"
}

GET /v1/countries

scopeservices:read

List countries

Returns

objectstring
dataarray of country
objectstring
codestring
namestring
phone_prefixstring
has_moreboolean
next_cursorstring
curl https://api.ghostsms.io/v1/countries \
  -H "Authorization: Bearer $GHOSTSMS_KEY"
200
{
  "object": "activation",
  "data": [
    {
      "object": "activation",
      "code": "…",
      "name": "…",
      "phone_prefix": "…"
    }
  ],
  "has_more": false,
  "next_cursor": "…"
}